EMF: EMF::GLOBALOBJECTS Class Reference

# EMF::GLOBALOBJECTS Class Reference

List of all members.

## Public Member Functions
HGDIOBJ | add (OBJECT *object)
OBJECT * | find (const HGDIOBJ handle)
void | remove (const OBJECT *object)
std::vector< EMF::OBJECT * > ::const_iterator | begin (void) const
std::vector< EMF::OBJECT * > ::const_iterator | end (void) const
METARECORDCTOR | newRecord (DWORD iType) const
## Static Public Member Functions
static EMF::METARECORD * | new_eof (DATASTREAM &ds)
static EMF::METARECORD * | new_setviewportorgex (DATASTREAM &ds)
static EMF::METARECORD * | new_setwindoworgex (DATASTREAM &ds)
static EMF::METARECORD * | new_setviewportextex (DATASTREAM &ds)
static EMF::METARECORD * | new_setwindowextex (DATASTREAM &ds)
static EMF::METARECORD * | new_scaleviewportextex (DATASTREAM &ds)
static EMF::METARECORD * | new_scalewindowextex (DATASTREAM &ds)
static EMF::METARECORD * | new_modifyworldtransform (DATASTREAM &ds)
static EMF::METARECORD * | new_setworldtransform (DATASTREAM &ds)
static EMF::METARECORD * | new_settextalign (DATASTREAM &ds)
static EMF::METARECORD * | new_settextcolor (DATASTREAM &ds)
static EMF::METARECORD * | new_setbkcolor (DATASTREAM &ds)
static EMF::METARECORD * | new_setbkmode (DATASTREAM &ds)
static EMF::METARECORD * | new_setpolyfillmode (DATASTREAM &ds)
static EMF::METARECORD * | new_setmapmode (DATASTREAM &ds)
static EMF::METARECORD * | new_selectobject (DATASTREAM &ds)
static EMF::METARECORD * | new_deleteobject (DATASTREAM &ds)
static EMF::METARECORD * | new_movetoex (DATASTREAM &ds)
static EMF::METARECORD * | new_lineto (DATASTREAM &ds)
static EMF::METARECORD * | new_arc (DATASTREAM &ds)
static EMF::METARECORD * | new_arcto (DATASTREAM &ds)
static EMF::METARECORD * | new_rectangle (DATASTREAM &ds)
static EMF::METARECORD * | new_ellipse (DATASTREAM &ds)
static EMF::METARECORD * | new_polyline (DATASTREAM &ds)
static EMF::METARECORD * | new_polyline16 (DATASTREAM &ds)
static EMF::METARECORD * | new_polygon (DATASTREAM &ds)
static EMF::METARECORD * | new_polygon16 (DATASTREAM &ds)
static EMF::METARECORD * | new_polypolygon (DATASTREAM &ds)
static EMF::METARECORD * | new_polypolygon16 (DATASTREAM &ds)
static EMF::METARECORD * | new_polybezier (DATASTREAM &ds)
static EMF::METARECORD * | new_polybezier16 (DATASTREAM &ds)
static EMF::METARECORD * | new_polybezierto (DATASTREAM &ds)
static EMF::METARECORD * | new_polybezierto16 (DATASTREAM &ds)
static EMF::METARECORD * | new_polylineto (DATASTREAM &ds)
static EMF::METARECORD * | new_polylineto16 (DATASTREAM &ds)
static EMF::METARECORD * | new_exttextouta (DATASTREAM &ds)
static EMF::METARECORD * | new_setpixelv (DATASTREAM &ds)
static EMF::METARECORD * | new_createpen (DATASTREAM &ds)
static EMF::METARECORD * | new_extcreatepen (DATASTREAM &ds)
static EMF::METARECORD * | new_createbrushindirect (DATASTREAM &ds)
static EMF::METARECORD * | new_extcreatefontindirectw (DATASTREAM &ds)
static EMF::METARECORD * | new_fillpath (DATASTREAM &ds)
static EMF::METARECORD * | new_strokepath (DATASTREAM &ds)
static EMF::METARECORD * | new_strokeandfillpath (DATASTREAM &ds)
static EMF::METARECORD * | new_beginpath (DATASTREAM &ds)
static EMF::METARECORD * | new_endpath (DATASTREAM &ds)
static EMF::METARECORD * | new_closefigure (DATASTREAM &ds)
static EMF::METARECORD * | new_savedc (DATASTREAM &ds)
static EMF::METARECORD * | new_restoredc (DATASTREAM &ds)
static EMF::METARECORD * | new_setmetargn (DATASTREAM &ds)

## Member Function Documentation

HGDIOBJ EMF::GLOBALOBJECTS::add | ( | OBJECT * | object | ) |

Add an object to the global vector. The object's handle is simply its index in the global object vector, which is computed by the very interesting "difference between two iterators" method.

Parameters:

  | object | pointer to a real instance of an object, not its handle.

OBJECT * EMF::GLOBALOBJECTS::find | ( | const HGDIOBJ | handle | ) |

Look up a object by handle in the global object vector. Note: Stock objects (like a gray brush or the black pen) have their high order bit set, so this has to be masked out when using their handles.

Parameters:

  | handle | the object's handle.

Returns:
  pointer to object.

METARECORDCTOR EMF::GLOBALOBJECTS::newRecord | ( | DWORD | iType | ) | const

See if we have a constructor for a record of the given type.

Parameters:

  | iType | metarecord type.

Returns:
  pointer to "virtual" constructor.

void EMF::GLOBALOBJECTS::remove | ( | const OBJECT * | object | ) |

A call to the metafile function DeleteObject() allows a particular object's handle to be reused, so some care has to be taken to erase it.

Parameters:

  | object | pointer to object to delete.

The documentation for this class was generated from the following files:

- libemf.h
- libemf.cpp